# std::filesystem::recursive_directory_iterator::options

From cppreference.com
< cpp‎ | filesystem‎ | recursive directory iterator

std::filesystem::directory_options options() const; |  | (since C++17)

Returns the options that affect the directory iteration. The options can only be supplied when constructing the directory iterator.

If the options argument was not supplied, returns std::filesystem::directory_options::none.

### Parameters

(none)

### Return value

The effective options that affect the directory iteration.

### Exceptions

Throws nothing.

Retrieved from "https://en.cppreference.com/mwiki/index.php?title=cpp/filesystem/recursive_directory_iterator/options&oldid=136714"